# splash_screen_plugin
启动页广告

## 集成流程
```
/// dart 
import 'package:splash_screen_plugin/splash_screen_plugin.dart';

/// 移除启动页-有广告时不做任何操作
SplashScreenPlugin.remove();
/// 监听广告点击
/// [name] 操作类型 click
/// [metedata] 广告原数据
SplashScreenPlugin.setListener((String name, Map<dynamic, dynamic> metedata) {
});
/// 设置广告时间
SplashScreenPlugin.setSeconds(3);
/// 设置广告原数据
SplashScreenPlugin.setMetadata("{}");
/// 设置广告图片,不展示广告设置为null
SplashScreenPlugin.setImage("");


```

```
/// android 
/// 在入口activity onCreate 中调用

FlutterJpushVipPlugin.onNewIntent(getIntent());
View view = Hanlder.getInstance().init(getApplicationContext()).createSplashScreen();
addContentView(view, new RadioGroup.LayoutParams(RadioGroup.LayoutParams.MATCH_PARENT, RadioGroup.LayoutParams.MATCH_PARENT));
```


